## golang-github-charlievieth-fastwalk 1.0.9

=== Makefile ===
.PHONY: all
all: test test_build

.PHONY: test_build_darwin_arm64
test_build_darwin_arm64:
	GOOS=darwin GOARCH=arm64 go test -c -o /dev/null

.PHONY: test_build_darwin_amd64
test_build_darwin_amd64:
	GOOS=darwin GOARCH=amd64 go test -c -o /dev/null

.PHONY: test_build_linux_arm64
test_build_linux_arm64:
	GOOS=linux GOARCH=arm64 go test -c -o /dev/null

.PHONY: test_build_linux_amd64
test_build_linux_amd64:
	GOOS=linux GOARCH=amd64 go test -c -o /dev/null

.PHONY: test_build_windows_amd64
test_build_windows_amd64:
	GOOS=windows GOARCH=amd64 go test -c -o /dev/null

.PHONY: test_build_windows_arm64
test_build_windows_arm64:
	GOOS=windows GOARCH=arm64 go test -c -o /dev/null

.PHONY: test_build_freebsd_amd64
test_build_freebsd_amd64:
	GOOS=freebsd GOARCH=amd64 go test -c -o /dev/null

.PHONY: test_build_openbsd_amd64
test_build_openbsd_amd64:
	GOOS=openbsd GOARCH=amd64 go test -c -o /dev/null

.PHONY: test_build_netbsd_amd64
test_build_netbsd_amd64:
	GOOS=netbsd GOARCH=amd64 go test -c -o /dev/null

.PHONY: test_build_dragonfly_amd64
test_build_dragonfly_amd64:
	GOOS=dragonfly GOARCH=amd64 go test -c -o /dev/null

.PHONY: test_build_solaris_amd64
test_build_solaris_amd64:
	GOOS=solaris GOARCH=amd64 go test -c -o /dev/null

.PHONY: test_build_wasip1_wasm
test_build_wasip1_wasm:
	@# Ignore versions before 1.21
	go version | grep -qE 'go1\.(20|1[0-9])' || \
		GOOS=wasip1 GOARCH=wasm go test -c -o /dev/null

.PHONY: test_build_aix_ppc64
test_build_aix_ppc64:
	GOOS=aix GOARCH=ppc64 go test -c -o /dev/null

.PHONY: test_build_js_wasm
test_build_js_wasm:
	GOOS=js GOARCH=wasm go test -c -o /dev/null

# TODO: clean this up and add all supported targets
#
# Test that we can build fastwalk on multiple platforms
.PHONY: test_build
test_build: \
	test_build_aix_ppc64 \
	test_build_darwin_amd64 \
	test_build_darwin_arm64 \
	test_build_dragonfly_amd64 \
	test_build_freebsd_amd64 \
	test_build_js_wasm \
	test_build_linux_amd64 \
	test_build_linux_arm64 \
	test_build_netbsd_amd64 \
	test_build_openbsd_amd64 \
	test_build_solaris_amd64 \
	test_build_wasip1_wasm \
	test_build_windows_amd64 \
	test_build_windows_arm64

.PHONY: test
test: # runs all tests against the package with race detection and coverage percentage
	@go test -race -cover ./...

.PHONY: quick
quick: # runs all tests without coverage or the race detector
	@go test ./...

.PHONY: bench
bench:
	go test -run '^$$' -bench . -benchmem ./...

.PHONY: bench_comp
bench_comp:
	@go run ./scripts/bench_comp.go

.PHONY: clean
clean:
	@go clean

## golang-github-charlievieth-fastwalk 1.0.8

=== debian/changelog ===
golang-github-charlievieth-fastwalk (1.0.8-3) unstable; urgency=medium

  * Team Upload.
  * Add patch to fixup tests on 32-bit

 -- Nilesh Patra <nilesh@debian.org>  Sat, 31 Aug 2024 10:46:38 +0530

golang-github-charlievieth-fastwalk (1.0.8-2) unstable; urgency=medium

  * Source-only upload for testing migration

 -- Vincent Blut <vincent.debian@free.fr>  Fri, 30 Aug 2024 22:11:18 +0200

golang-github-charlievieth-fastwalk (1.0.8-1) unstable; urgency=medium

  * Initial release (Closes: #1073282)

 -- Vincent Blut <vincent.debian@free.fr>  Sat, 24 Aug 2024 20:59:55 +0530

=== debian/control ===
Source: golang-github-charlievieth-fastwalk
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Vincent Blut <vincent.debian@free.fr>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-charlievieth-fastwalk
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-charlievieth-fastwalk.git
Homepage: https://github.com/charlievieth/fastwalk
XS-Go-Import-Path: github.com/charlievieth/fastwalk

Package: golang-github-charlievieth-fastwalk-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Fast directory traversal for Golang (library)
 Fast parallel directory traversal for Golang.
 .
 Package fastwalk provides a fast parallel version of filepath.WalkDir that is
 ~2x faster on macOS, ~4x faster on Linux, ~6x faster on Windows, allocates
 50% less memory, and requires 25% fewer memory allocations.
 Additionally, it is ~4-5x faster than godirwalk across OSes.
 .
 Inspired by and based off of golang.org/x/tools/internal/fastwalk.

## golang-github-charlievieth-fastwalk 1.0.9

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/charlievieth/fastwalk/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-charlievieth-fastwalk 1.0.12

=== debian/changelog ===
golang-github-charlievieth-fastwalk (1.0.12-1) unstable; urgency=medium

  * New upstream release
  * d/control: Bump Standards-Version to 4.7.2
  * d/gitlab-ci.yml: Update to run Salsa CI

 -- Vincent Blut <vincent.debian@free.fr>  Thu, 21 Aug 2025 03:17:36 +0530

golang-github-charlievieth-fastwalk (1.0.9-1) unstable; urgency=medium

  * New upstream release
  * d/patches/: Drop fix-TestSortModeString.patch, applied upstream

 -- Vincent Blut <vincent.debian@free.fr>  Sat, 26 Oct 2024 12:03:40 +0530

## golang-github-charlievieth-fastwalk 1.0.13

=== debian/changelog ===
golang-github-charlievieth-fastwalk (1.0.13-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: Update copyright years for debian/*
  * d/copyright: Fix 'superfluous-file-pattern' lintian warning
  * d/watch: Update to version 5

 -- Vincent Blut <vincent.debian@free.fr>  Wed, 10 Sep 2025 20:28:00 +0530

## golang-github-charlievieth-fastwalk 1.0.14

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 .PHONY: all
-all: test test_build
+all: test
 
 .PHONY: test_build_darwin_arm64
 test_build_darwin_arm64:

=== debian/changelog ===
golang-github-charlievieth-fastwalk (1.0.14-1) unstable; urgency=medium

  * New upstream release

 -- Vincent Blut <vincent.debian@free.fr>  Thu, 11 Sep 2025 01:53:44 +0530

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-sequence-golang,
                golang-any
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-charlievieth-fastwalk
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-charlievieth-fastwalk.git
 Homepage: https://github.com/charlievieth/fastwalk

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := examples scripts

%:
	dh $@ --builddirectory=_build --buildsystem=golang

=== debian/watch ===
Version: 5

Template: Github
Owner: charlievieth
Project: fastwalk
